/**
 * ActRelationshipCostTracking2.java
 *
 * File generated from the medication2::ActRelationshipCostTracking2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActRelationshipCostTracking2.
 *
 * 
 */

@XmlType(name = "ActRelationshipCostTracking")
@XmlEnum
@XmlRootElement(name = "ActRelationshipCostTracking2")
public enum ActRelationshipCostTracking2 {
	@XmlEnumValue("CHRG")
	CHRG("CHRG"),
	@XmlEnumValue("COST")
	COST("COST");
	
	private final String value;

    ActRelationshipCostTracking2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActRelationshipCostTracking2 fromValue(String v) {
        for (ActRelationshipCostTracking2 c: ActRelationshipCostTracking2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
